curl --request POST \
--url https://api.openpmm.com/v1/workspaces/{workspace_id}/posts/{post}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'If-Match: <if-match>' \
--data '
{
"confirmed": true
}
'import requests
url = "https://api.openpmm.com/v1/workspaces/{workspace_id}/posts/{post}/cancel"
payload = { "confirmed": True }
headers = {
"Idempotency-Key": "<idempotency-key>",
"If-Match": "<if-match>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'If-Match': '<if-match>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirmed: true})
};
fetch('https://api.openpmm.com/v1/workspaces/{workspace_id}/posts/{post}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "send_01JABCDEF",
"object": "post",
"group": "launch-2026-08",
"channel": "x",
"state": "draft",
"editable": true,
"terminal": true,
"action_required": true,
"next_action_at": "2026-08-09T12:00:00.000Z",
"retry_safety": "safe",
"available_actions": [
"update"
],
"version": 2,
"payload": {
"headline": "<string>",
"body": [
"<string>"
],
"destination_options": {
"bluesky": {
"languages": [
"<string>"
],
"content_labels": [
"porn"
],
"alt_text_by_asset_id": {}
}
}
},
"asset_ids": [
"ast_01JABCDEF"
],
"destination_id": "dest_01JABCDEF",
"scheduled_at": "2026-08-09T12:00:00.000Z",
"time_zone": "Europe/Berlin",
"schedule_mode": "now",
"queue_local_date": "2023-12-25",
"queue_window_id": "<string>",
"attempt_count": 1,
"deferred": {
"reason": "publishing_velocity",
"until": "2026-08-09T12:00:00.000Z"
},
"last_error": {
"code": "provider_rejected",
"message": "The provider rejected the post.",
"retryable": true,
"retry_safety": "safe",
"user_action": "retry"
},
"created_at": "2026-08-09T12:00:00.000Z",
"updated_at": "2026-08-09T12:00:00.000Z",
"published_at": "2026-08-09T12:00:00.000Z",
"cancelled_at": "2026-08-09T12:00:00.000Z",
"missed_at": "2026-08-09T12:00:00.000Z",
"receipts": [
{
"id": "rcpt_01JABCDEF",
"object": "receipt",
"item_index": 0,
"provider_object_id": "1844029112345678901",
"url": "<string>",
"state": "published",
"published_at": "2026-08-09T12:00:00.000Z"
}
],
"destination": {
"display_name": "<string>",
"external_id": "<string>",
"profile_image_url": "<string>"
},
"assets": [
{
"id": "ast_01JABCDEF",
"type": "card",
"label": "<string>",
"content_type": "<string>",
"item_index": 1
}
],
"attempts": [
{
"id": "att_01JABCDEF",
"object": "publishing_attempt",
"number": 2,
"trigger": "initial",
"status": "started",
"started_at": "2026-08-09T12:00:00.000Z",
"finished_at": "2026-08-09T12:00:00.000Z",
"retry_safety": "safe",
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"user_action": "retry"
},
"provider": {
"operation": "<string>",
"request_id": "<string>",
"status_code": 349,
"error_code": "<string>",
"subcode": "<string>"
}
}
]
}Cancel Post
Cancel a Post before provider delivery. A scheduled or queued Post returns to the draft state. An accepted immediate Post returns with the cancelled state. Send confirmed: true and the current Post ETag.
Authorizations
Send an account API key in the Authorization: Bearer <key> header.
Headers
Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.
128A unique key for this operation. Use the same key when you retry the same request. Different input with the same key returns 409.
1 - 200The current ETag for the resource. This value prevents an update to an old version.
Path Parameters
Unique workspace ID.
"ws_01JABCDEF"
Unique Post ID.
"send_01JABCDEF"
Body
Response
The updated Post.
Unique Post ID.
"send_01JABCDEF"
"post"A value that groups related posts.
1 - 200^[A-Za-z0-9_-]+$"launch-2026-08"
bluesky, facebook, instagram, threads, mastodon, x, linkedin, tiktok, youtube "x"
draft, preparing, scheduled, ready, processing, awaiting-provider, published, failed, needs-attention, cancelled, missed Whether you can update the Post content. A scheduled Post keeps its assets and thread structure locked.
True when the Post can no longer change state. Poll only while this value and action_required are false.
Whether a person or agent must choose the next action.
"2026-08-09T12:00:00.000Z"
safe, may_duplicate, not_applicable update, delete, publish, cancel, reschedule, retry, retry_with_duplicate_risk x >= 1Show child attributes
Show child attributes
100Unique asset ID.
Unique destination ID.
"dest_01JABCDEF"
"2026-08-09T12:00:00.000Z"
"Europe/Berlin"
now, exact, queue x >= 0The future time when OpenPMM can try the Post again. This value is null after that time.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"2026-08-09T12:00:00.000Z"
"2026-08-09T12:00:00.000Z"
"2026-08-09T12:00:00.000Z"
"2026-08-09T12:00:00.000Z"
"2026-08-09T12:00:00.000Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Sanitized attempt history. Present only when include=attempts.
Show child attributes
Show child attributes
